#procedure Shortest(foo)
id `foo'([x]?) = `foo'([x], [x] + (`MomSum'), [x] - (`MomSum'));

* add # of terms as arguments
id `foo'([x]?, [y]?, [z]?) = `foo'([x], [y], [z],
  nterms_([x]), nterms_([y]), nterms_([z]) );

* order according to the nterms
symm `foo' (4,1) (5,2) (6,3);

* choose shortest argument
id `foo'([x]?, ?a) = `foo'([x]);
#endprocedure

*****************************************************

#preout on
#define MomSum "k1 + k2 - k3 - k4"

Vectors k1, k2, k3, k4;
CFunction Mom;
Vectors [x], [y], [z];

Local test = Mom(-k1 - k2 + k3);

#call Shortest(Mom)

print +s;

.end

